cURL
curl --request POST \
--url https://api.tranthor.com/api/admin/analytics/dictionary/deprecate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspaceId": "<string>",
"id": "<string>",
"entityType": "event",
"key": "<string>",
"version": 123
}
'import requests
url = "https://api.tranthor.com/api/admin/analytics/dictionary/deprecate"
payload = {
"workspaceId": "<string>",
"id": "<string>",
"entityType": "event",
"key": "<string>",
"version": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workspaceId: '<string>',
id: '<string>',
entityType: 'event',
key: '<string>',
version: 123
})
};
fetch('https://api.tranthor.com/api/admin/analytics/dictionary/deprecate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tranthor.com/api/admin/analytics/dictionary/deprecate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'workspaceId' => '<string>',
'id' => '<string>',
'entityType' => 'event',
'key' => '<string>',
'version' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.tranthor.com/api/admin/analytics/dictionary/deprecate"
payload := strings.NewReader("{\n \"workspaceId\": \"<string>\",\n \"id\": \"<string>\",\n \"entityType\": \"event\",\n \"key\": \"<string>\",\n \"version\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.tranthor.com/api/admin/analytics/dictionary/deprecate")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"workspaceId\": \"<string>\",\n \"id\": \"<string>\",\n \"entityType\": \"event\",\n \"key\": \"<string>\",\n \"version\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tranthor.com/api/admin/analytics/dictionary/deprecate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"workspaceId\": \"<string>\",\n \"id\": \"<string>\",\n \"entityType\": \"event\",\n \"key\": \"<string>\",\n \"version\": 123\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"workspaceId": "<string>",
"entityType": "event",
"key": "<string>",
"version": 123,
"status": "active",
"synonyms": [
"<string>"
],
"source": "auto",
"queryable": true,
"validFrom": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"description": "<string>",
"dataType": "<string>",
"exampleValue": "<unknown>",
"validTo": "<string>",
"lastSeenAt": "<string>"
}Analytics
Deprecate a dictionary entry
Deprecate an analytics dictionary entry.
cURL
curl --request POST \
--url https://api.tranthor.com/api/admin/analytics/dictionary/deprecate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"workspaceId": "<string>",
"id": "<string>",
"entityType": "event",
"key": "<string>",
"version": 123
}
'import requests
url = "https://api.tranthor.com/api/admin/analytics/dictionary/deprecate"
payload = {
"workspaceId": "<string>",
"id": "<string>",
"entityType": "event",
"key": "<string>",
"version": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
workspaceId: '<string>',
id: '<string>',
entityType: 'event',
key: '<string>',
version: 123
})
};
fetch('https://api.tranthor.com/api/admin/analytics/dictionary/deprecate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tranthor.com/api/admin/analytics/dictionary/deprecate",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'workspaceId' => '<string>',
'id' => '<string>',
'entityType' => 'event',
'key' => '<string>',
'version' => 123
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.tranthor.com/api/admin/analytics/dictionary/deprecate"
payload := strings.NewReader("{\n \"workspaceId\": \"<string>\",\n \"id\": \"<string>\",\n \"entityType\": \"event\",\n \"key\": \"<string>\",\n \"version\": 123\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.tranthor.com/api/admin/analytics/dictionary/deprecate")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"workspaceId\": \"<string>\",\n \"id\": \"<string>\",\n \"entityType\": \"event\",\n \"key\": \"<string>\",\n \"version\": 123\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tranthor.com/api/admin/analytics/dictionary/deprecate")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"workspaceId\": \"<string>\",\n \"id\": \"<string>\",\n \"entityType\": \"event\",\n \"key\": \"<string>\",\n \"version\": 123\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"workspaceId": "<string>",
"entityType": "event",
"key": "<string>",
"version": 123,
"status": "active",
"synonyms": [
"<string>"
],
"source": "auto",
"queryable": true,
"validFrom": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"description": "<string>",
"dataType": "<string>",
"exampleValue": "<unknown>",
"validTo": "<string>",
"lastSeenAt": "<string>"
}Authorizations
Body
application/json
Response
200 - application/json
Default Response

